# Generated by Django 5.0.4 on 2024-05-10 10:33

import wagtail.blocks
import wagtail.fields
from django.db import migrations

import shared.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0149_remove_districthomepage_contact_newcomers_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="districthomepage",
            name="footer_links",
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="footer_other_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "other_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.LinkBlock,
                                        label="Seznam odkazů s titulkem",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Odkazy v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="footer_extra_content",
            field=wagtail.fields.RichTextField(
                blank=True, verbose_name="Extra obsah na začátku patičky"
            ),
        ),
    ]
